dbscripts - Bug #212

[dbscripts] make a check-signature script
2012-10-31 07:36 AM - fauno

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

this can be done with “gpg --verify public/$repo/os/$arch/$pkgname-$pkgver-$pkgrel.pkg.tar.?z.sig" but you know :P

History

#2 -2012-11-01 12:21 AM - mtjm

Do we need another script for this? Having developers to learn gpg --verify seems more useful. | don't remember any cases of invalid signatures (all
such errors resulted from caching a different package).

#3 - 2012-11-19 07:41 AM - fauno

| use it to check who packaged something when db-update complains about already released packages ("on another repo").

#4 - 2012-11-20 06:20 AM - mtjm

| use tar xOf public/....tar.xz .PKGINFO, it works even in the case of bad or missing signatures.

#5 - 2017-01-21 12:38 AM - lukeshu

- Project changed from libretools to dbscripts
